%define module Data-Page
%define name perl-%module
%define version 2.00
%define release %mkrel 6

Name:		%name
Version:	%version
Release:	%release
Summary:	Help when paging through sets of results
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%module/
Source:		http://www.cpan.org/modules/by-module/Data/%module-%version.tar.bz2
BuildRequires:	perl-devel
BuildRequires:  perl(Class::Accessor::Chained)
BuildRequires:  perl(Test::Exception)
Requires:       perl(Class::Accessor::Chained::Fast)
BuildArch:	noarch
Buildroot:	%_tmppath/%name-%version

%description
When searching through large amounts of data, it is often the case
that a result set is returned that is larger than we want to display
on one page. This results in wanting to page through various pages of
data. The maths behind this is unfortunately fiddly, hence this
module.

The main concept is that you pass in the number of total entries, the
number of entries per page, and the current page number. You can then
call methods to find out how many pages of information there are, and
what number the first and last entries on the current page really are.

%prep
%setup -q -n %module-%version

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README CHANGES
%perl_vendorlib/Data/*
%_mandir/*/*

%clean
rm -rf %{buildroot}





%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.00-6mdv2009.0
+ Revision: 241199
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.00-4mdv2008.0
+ Revision: 48594
- fix runtime dependencies, not buildtime ones

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.00-3mdv2008.0
+ Revision: 48529
- fix dependencies


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.00-2mdv2007.0
+ Revision: 73456
- import perl-Data-Page-2.00-2mdv2007.1

* Sun Jan 15 2006 Frederic Lepied <flepied@mandriva.com> 2.00-1mdk
- Initial package

